## linux-restricted-modules-oem-osp1 5.0.0-1043.48

=== debian/changelog ===
linux-restricted-modules-oem-osp1 (5.0.0-1043.48) bionic; urgency=medium

  * Master version: 5.0.0-1043.48

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 12 Mar 2020 11:42:33 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1042.47) bionic; urgency=medium

  * Master version: 5.0.0-1042.47

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 04 Mar 2020 18:06:28 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1041.46) bionic; urgency=medium

  * Master version: 5.0.0-1041.46

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Sat, 22 Feb 2020 01:05:45 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1040.45) bionic; urgency=medium

  * Master version: 5.0.0-1040.45

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Feb 2020 09:27:54 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1039.44) bionic; urgency=medium

  * Master version: 5.0.0-1039.44

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Feb 2020 16:54:44 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1038.43) bionic; urgency=medium

  * Master version: 5.0.0-1038.43

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Feb 2020 13:13:09 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1037.42) bionic; urgency=medium

  * Master version: 5.0.0-1037.42

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 24 Jan 2020 16:08:22 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1036.41) bionic; urgency=medium

  * Master version: 5.0.0-1036.41

 -- Manoj Iyer <manoj.iyer@canonical.com>  Wed, 15 Jan 2020 10:16:53 -0600

linux-restricted-modules-oem-osp1 (5.0.0-1035.40) bionic; urgency=medium

  * Master version: 5.0.0-1035.40

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Jan 2020 22:06:49 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1034.39) bionic; urgency=medium

  * Master version: 5.0.0-1034.39

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Jan 2020 15:43:13 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1033.38) bionic; urgency=medium

  * Master version: 5.0.0-1033.38

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Dec 2019 16:06:21 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1033.37) bionic; urgency=medium

  * Master version: 5.0.0-1033.37

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Dec 2019 12:24:21 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1032.36) bionic; urgency=medium

  * Master version: 5.0.0-1032.36

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Dec 2019 13:35:17 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1031.35) bionic; urgency=medium

  * Master version: 5.0.0-1031.35

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Dec 2019 14:40:44 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1030.34) bionic; urgency=medium

  * Master version: 5.0.0-1030.34

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Nov 2019 12:05:30 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1029.33) bionic; urgency=medium

  * Master version: 5.0.0-1029.33

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Nov 2019 19:51:51 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1028.32) bionic; urgency=medium

  * Master version: 5.0.0-1028.32

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 Nov 2019 12:48:10 +0100

linux-restricted-modules-oem-osp1 (5.0.0-1027.31) bionic; urgency=medium

  * Master version: 5.0.0-1027.31

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Mon, 11 Nov 2019 10:57:44 -0300

linux-restricted-modules-oem-osp1 (5.0.0-1027.30) bionic; urgency=medium

  * Master version: 5.0.0-1027.30

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 08 Nov 2019 22:43:15 -0300

linux-restricted-modules-oem-osp1 (5.0.0-1026.29) bionic; urgency=medium

  * Master version: 5.0.0-1026.29

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Oct 2019 13:34:23 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1025.28) bionic; urgency=medium

  * Master version: 5.0.0-1025.28

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Oct 2019 14:39:36 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1024.27) bionic; urgency=medium

  * Master version: 5.0.0-1024.27

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Oct 2019 11:30:47 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1023.25) bionic; urgency=medium

  * Master version: 5.0.0-1023.25

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Sep 2019 19:33:57 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1022.24) bionic; urgency=medium

  * Master version: 5.0.0-1022.24

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 12 Sep 2019 20:30:19 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1021.23) bionic; urgency=medium

  * Master version: 5.0.0-1021.23

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2019 14:45:50 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1020.22) bionic; urgency=medium

  * Master version: 5.0.0-1020.22

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 22 Aug 2019 13:56:14 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1019.21) bionic; urgency=medium

  * Master version: 5.0.0-1019.21

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Aug 2019 13:08:58 +0300

linux-restricted-modules-oem-osp1 (5.0.0-0.0) bionic; urgency=medium

  * Initial Revision.

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 26 Jun 2019 00:00:00 +0100
