## linux-restricted-modules-oem-osp1 5.0.0-1044.49

=== debian/changelog ===
linux-restricted-modules-oem-osp1 (5.0.0-1044.49) bionic; urgency=medium

  * Master version: 5.0.0-1044.49

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 18 Mar 2020 13:26:03 +0200
