## linux-restricted-modules-oem-osp1 5.0.0-1071.77

=== debian/changelog ===
linux-restricted-modules-oem-osp1 (5.0.0-1071.77) bionic; urgency=medium

  * Master version: 5.0.0-1071.77

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 22 Oct 2020 11:48:17 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1070.76) bionic; urgency=medium

  * Master version: 5.0.0-1070.76

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 15 Oct 2020 16:16:03 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1069.75) bionic; urgency=medium

  * Master version: 5.0.0-1069.75

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 28 Sep 2020 17:18:04 -0300

linux-restricted-modules-oem-osp1 (5.0.0-1068.73) bionic; urgency=medium

  * Master version: 5.0.0-1068.73

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Sun, 06 Sep 2020 11:57:25 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1067.72) bionic; urgency=medium

  * Master version: 5.0.0-1067.72

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 31 Jul 2020 14:09:47 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1066.71) bionic; urgency=medium

  * Master version: 5.0.0-1066.71

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 24 Jul 2020 11:04:37 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1065.70) bionic; urgency=medium

  * Master version: 5.0.0-1065.70

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 14 Jul 2020 16:07:02 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1064.69) bionic; urgency=medium

  * Master version: 5.0.0-1064.69

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Mon, 06 Jul 2020 15:29:21 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1063.68) bionic; urgency=medium

  * Master version: 5.0.0-1063.68

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 26 Jun 2020 15:58:15 -0300

linux-restricted-modules-oem-osp1 (5.0.0-1062.67+1) bionic; urgency=medium

  * Master version: 5.0.0-1062.67

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * CVE-2020-5963 // CVE-2020-5967
    - [Packaging] rules -- expose dkms provides data
    - [Config] expose provides information on meta packages
    - [Packaging] rules -- expose nvidia-kernel-common dependency data
    - [packaging] expose dependency on nvidia-kernel-common on meta packages

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 24 Jun 2020 11:08:46 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1060.65) bionic; urgency=medium

  * Master version: 5.0.0-1060.65

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 12 Jun 2020 17:40:08 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1059.64) bionic; urgency=medium

  * Master version: 5.0.0-1059.64

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * Miscellaneous Ubuntu changes
    - Ubuntu-oem-osp1-5.0.0-1044.49
    - Ubuntu-oem-osp1-5.0.0-1045.50
    - Ubuntu-oem-osp1-5.0.0-1053.58

  * Miscellaneous upstream changes
    - Merge remote-tracking branch 'oem-osp1/oem' into Ubuntu-oem-
      osp1-5.0.0-1054.59

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Sat, 06 Jun 2020 08:27:16 -0300

linux-restricted-modules-oem-osp1 (5.0.0-1054.59) bionic; urgency=medium

  * Master version: 5.0.0-1054.59

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 29 May 2020 10:43:06 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1053.58) bionic; urgency=medium

  * Master version: 5.0.0-1053.58

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Mon, 25 May 2020 15:41:13 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1052.57) bionic; urgency=medium

  * Master version: 5.0.0-1052.57

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 04 May 2020 11:59:20 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1051.56) bionic; urgency=medium

  * Master version: 5.0.0-1051.56

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 30 Apr 2020 16:01:18 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1050.55) bionic; urgency=medium

  * Master version: 5.0.0-1050.55

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 24 Apr 2020 18:30:01 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1049.54) bionic; urgency=medium

  * Master version: 5.0.0-1049.54

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Apr 2020 15:02:13 +0300

linux-restricted-modules-oem-osp1 (5.0.0-1048.53) bionic; urgency=medium

  * Master version: 5.0.0-1048.53

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 10 Apr 2020 16:09:24 +0800

linux-restricted-modules-oem-osp1 (5.0.0-1047.52) bionic; urgency=medium

  * Master version: 5.0.0-1047.52

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Mar 2020 13:09:08 +0200

linux-restricted-modules-oem-osp1 (5.0.0-1046.51) bionic; urgency=medium

  * Master version: 5.0.0-1046.51

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Mar 2020 07:38:31 +0200
