=== debian/control ===
Source: linux-restricted-modules-oem-osp1
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 curl <!stage1>,
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 wget,
 gawk,
 linux-headers-5.0.0-1071-oem-osp1 (>= 5.0.0-1071.77),
 linux-buildinfo-5.0.0-1071-oem-osp1 (>= 5.0.0-1071.77),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules-oem-osp1/+git/bionic

Package: linux-modules-nvidia-390-5.0.0-1071-oem-osp1
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.0.0-1071-oem-osp1 | linux-image-unsigned-5.0.0-1071-oem-osp1
Description: Linux kernel nvidia modules for version 5.0.0-1071
 This package contains the Linux kernel nvidia modules for version 5.0.0-1071.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-image-nvidia-FLAVOUR meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-390-oem-osp1
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-390-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-390-5.0.0-1071-oem-osp1 (= ${binary:Version}),
 ${nvk:nvidia-390}
Description: Extra drivers for nvidia-390 for the oem-osp1 flavour
 Install extra signed nvidia-390 modules compatible with the oem-osp1 flavour.

Package: linux-modules-nvidia-418-5.0.0-1071-oem-osp1
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.0.0-1071-oem-osp1 | linux-image-unsigned-5.0.0-1071-oem-osp1
Description: Linux kernel nvidia modules for version 5.0.0-1071
 This package contains the Linux kernel nvidia modules for version 5.0.0-1071.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-image-nvidia-FLAVOUR meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-418-oem-osp1
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-418-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-418-5.0.0-1071-oem-osp1 (= ${binary:Version}),
 ${nvk:nvidia-418}
Description: Extra drivers for nvidia-418 for the oem-osp1 flavour
 Install extra signed nvidia-418 modules compatible with the oem-osp1 flavour.
